<template>
  <section class="banner">
	  <div class="text center">
      <h1>{{ title }}</h1>
      <p>{{ subtitle }}</p>
	  </div>
    <div class="icon center">
      <img 
        class="logo"
        :src="logoSrc" 
        :alt="logoAlt">
    </div>    
  </section>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      required: true
    },
    subtitle: {
      type: String,
      required: true
    },
    logoSrc: {
      type: String,
      required: true
    },
    logoAlt: {
      type: String,
      required: true
    }
  }
};
</script>

<style scoped>
.banner {
  display: grid;

  background-color: config("colors.light");
  min-height: 90vh;

  grid-template-colums: 1fr 1fr;
  grid-template-rows: 1fr;
}
.text {
  grid-column: 1/2;
  grid-row: 1/2;
}
.icon {
  grid-column: 2/3;
  grid-row: 1/2;
}
.center {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-flow: column nowrap;
}
.logo {
  max-width: 40vw;
  height: auto;
}
</style>
